Upgrade to 4.x but STAY on the 3.x 4.9 kernel?

  • If we upgrade OMV 3.x to 4.x it wants to downgrade the kernel to 4.15 but that seems to break ZFS... so can we just keep using the 4.9 kernel/Linux base system instead of the older 4.15 version? Or is that going to cause issues later on?


    Or how can we upgrade to 4.x from 3.x yet still maintain our ZFS capabilities?

  • If we upgrade OMV 3.x to 4.x it wants to downgrade the kernel to 4.15 but that seems to break ZFS... so can we just keep using the 4.9 kernel/Linux base system instead of the older 4.15 version? Or is that going to cause issues later on?


    Or how can we upgrade to 4.x from 3.x yet still maintain our ZFS capabilities?

    4.15 is newer than 4.9. 15 is greater than 9.


    The 4.15 kernel should work with zfs but there is an issue with the linux-headers package for that kernel version right now.

    omv 5.5.17-2 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Ah, for some reason I was thinking it was 1.5 rather than 15 - sorry that was kinda dumb... ;-)


    Anyway, I figured it was something that had to do with the headers package - I had tried to update them via:


    sudo apt-get install linux-headers-$(uname -r)


    but it gave me a 'broken packages' error. Any way to get around that for the time being? Something I could edit to get them to install properly? -OR- If I didn't install the .15 Linux packages for the time being, would it cause issues to stay on the .9 kernel? At least until the headers package was fixed?


    UPDATE: I may have figured it out - I used the answer from Telecomic in the 'Is ZFS supported in Kernel 4.13' thread and did the following:


    add the following to /etc/default/openmediavault:
    OMV_APT_USE_KERNEL_BACKPORTS="no"



    Then do:
    omv-mkconf apt


    apt-get update


    And that seemed to work! I am running OMV 4 using the 4.9 kernel! So I guess the only question is: What effect will this have on OMV and future updates?

  • The 4.15 kernel should work with zfs but there is an issue with the linux-headers package for that kernel version right now.


    Do you know how to fix this issue? I want to install the Virtualbox-Plugin (under OMV v4 with 4.15 kernel) but can't because of the missing linux-header.

    OMV-Server-HW: MoBo Fujitsu D3417-B2 (Intel-LAN), Intel Xeon E3-1245 v6 Kaby Lake (4x3.70GHz), 16GB-Ram ECC UDIMM, 1x512GB SSD Samsung 850 Pro (sda2 - 30GB system, 4GB swap, sda5/rest - for work), 1x 10TB WD Red Pro, 1x 3TB WD Red (both basic setup) - Digibit R1 Sat-IP-Server with SatIP-Axe-Firmware


    OMV-Server-SW: Debian Buster with Proxmox kernel (always up-to-date), OMV v5 (always latest), omv-extras-plugin (always latests), AutoShutdown-Plugin, Docker with PlexMediaServer, TVHeadend, any many more


    BackupServer: Synology DS1010+ with 4GB Ram, 9TB@SHR (different hdd's), DSM 5.2-5967-2

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!